#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x298cd8da, "module_layout" },
	{ 0x8176d340, "crypto_alloc_skcipher" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x8451fdfe, "sg_init_table" },
	{ 0x80cf80b7, "__pm_runtime_idle" },
	{ 0x6d8747a0, "scatterwalk_ffwd" },
	{ 0x9fe88741, "__pm_runtime_disable" },
	{ 0xcb88492e, "of_device_get_match_data" },
	{ 0xed049969, "__pm_runtime_use_autosuspend" },
	{ 0xadd35fea, "page_address" },
	{ 0xbeddfd8, "__pm_runtime_suspend" },
	{ 0xe3d967b5, "crypto_ablkcipher_type" },
	{ 0xd5dbb01, "arm_dma_ops" },
	{ 0x98e85edc, "crypto_dequeue_request" },
	{ 0x2b5ab97d, "_raw_spin_lock_bh" },
	{ 0x8d49882b, "__dynamic_pr_debug" },
	{ 0x76a50536, "crypto_engine_alloc_init" },
	{ 0xe06699b2, "sg_next" },
	{ 0x7da0f641, "devm_ioremap_resource" },
	{ 0xb1ad28e0, "__gnu_mcount_nc" },
	{ 0x7b15ffb9, "__pm_runtime_resume" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x42e7a297, "scatterwalk_map_and_copy" },
	{ 0x4d0a3b05, "dma_request_chan" },
	{ 0xf60178ca, "__platform_driver_register" },
	{ 0x70ba2166, "crypto_alloc_sync_skcipher" },
	{ 0x5bbe49f4, "__init_waitqueue_head" },
	{ 0x39a12ca7, "_raw_spin_unlock_irqrestore" },
	{ 0xc5850110, "printk" },
	{ 0x701db540, "omap_crypto_align_sg" },
	{ 0x804c3e2e, "sysfs_create_group" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x1caf4c2b, "wait_for_completion_interruptible" },
	{ 0xfaef0ed, "__tasklet_schedule" },
	{ 0x3525bffb, "crypto_engine_start" },
	{ 0x42685d7, "sg_nents_for_len" },
	{ 0xe70629f, "platform_get_resource" },
	{ 0x9545af6d, "tasklet_init" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xb055186d, "_dev_err" },
	{ 0x82072614, "tasklet_kill" },
	{ 0xec176f8, "crypto_finalize_ablkcipher_request" },
	{ 0x69ba9187, "crypto_enqueue_request" },
	{ 0xb1391e5, "_dev_info" },
	{ 0x26180ba1, "crypto_transfer_ablkcipher_request_to_engine" },
	{ 0x5d0dfa4a, "pm_runtime_enable" },
	{ 0xb97a6814, "crypto_skcipher_decrypt" },
	{ 0x8f3625fe, "_raw_spin_unlock_bh" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xeabe4ba2, "crypto_destroy_tfm" },
	{ 0xe86d2b2f, "crypto_register_alg" },
	{ 0xec1aa6ef, "memzero_explicit" },
	{ 0xdb9ca3c5, "_raw_spin_lock" },
	{ 0x5f849a69, "_raw_spin_lock_irqsave" },
	{ 0x58d2d972, "crypto_engine_exit" },
	{ 0xe4effcd5, "sg_init_one" },
	{ 0xff693e63, "dma_release_channel" },
	{ 0x16e9b58d, "crypto_unregister_aead" },
	{ 0x23c1e2e, "dma_direct_map_sg" },
	{ 0x51efd5c8, "crypto_register_aead" },
	{ 0x9d669763, "memcpy" },
	{ 0x7a4497db, "kzfree" },
	{ 0xff24129d, "pm_runtime_set_autosuspend_delay" },
	{ 0xd5328478, "omap_crypto_cleanup" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x6cc348e8, "of_address_to_resource" },
	{ 0xe6c12171, "complete" },
	{ 0xfce8d649, "platform_get_irq" },
	{ 0xca54fee, "_test_and_set_bit" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf5c3b6ad, "platform_driver_unregister" },
	{ 0xa04a24ed, "devm_kmalloc" },
	{ 0x94318f27, "devm_request_threaded_irq" },
	{ 0x2eae7f8d, "crypto_unregister_alg" },
	{ 0x75d011c6, "crypto_skcipher_encrypt" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=crypto_engine,omap-crypto";

MODULE_ALIAS("of:N*T*Cti,omap2-aes");
MODULE_ALIAS("of:N*T*Cti,omap2-aesC*");
MODULE_ALIAS("of:N*T*Cti,omap3-aes");
MODULE_ALIAS("of:N*T*Cti,omap3-aesC*");
MODULE_ALIAS("of:N*T*Cti,omap4-aes");
MODULE_ALIAS("of:N*T*Cti,omap4-aesC*");

MODULE_INFO(srcversion, "49A1745821D1AFE91916F1A");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
