#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x298cd8da, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x80cf80b7, "__pm_runtime_idle" },
	{ 0x5e1a47a1, "amba_driver_register" },
	{ 0xbb7db9e8, "pm_runtime_force_suspend" },
	{ 0x3b52988e, "regulator_set_voltage" },
	{ 0x815588a6, "clk_enable" },
	{ 0xeb03b389, "__raw_readsl" },
	{ 0xed049969, "__pm_runtime_use_autosuspend" },
	{ 0x188db338, "mmc_free_host" },
	{ 0x40568545, "regulator_disable" },
	{ 0xd5dbb01, "arm_dma_ops" },
	{ 0xabea0be0, "pinctrl_select_state" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x24cf7172, "devm_pinctrl_get" },
	{ 0xe06699b2, "sg_next" },
	{ 0xfc60fa38, "pm_runtime_force_resume" },
	{ 0x7da0f641, "devm_ioremap_resource" },
	{ 0xb1ad28e0, "__gnu_mcount_nc" },
	{ 0x7b15ffb9, "__pm_runtime_resume" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xea69b366, "mmc_of_parse" },
	{ 0xd9ee3f9d, "pinctrl_lookup_state" },
	{ 0xa525fe25, "__devm_reset_control_get" },
	{ 0xe707d823, "__aeabi_uidiv" },
	{ 0x710dd0e5, "_dev_warn" },
	{ 0xf779f5a5, "dma_request_slave_channel" },
	{ 0x39a12ca7, "_raw_spin_unlock_irqrestore" },
	{ 0xfeb17f7c, "sg_miter_start" },
	{ 0x698fdba1, "sg_miter_stop" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x8e865d3c, "arm_delay_ops" },
	{ 0x32841c9d, "pinctrl_pm_select_sleep_state" },
	{ 0xb055186d, "_dev_err" },
	{ 0xec913780, "mmc_gpio_get_ro" },
	{ 0xccc32ccc, "sg_miter_next" },
	{ 0xe4e04e6e, "mmc_gpio_get_cd" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xb1391e5, "_dev_info" },
	{ 0x1ea21aa, "mmc_gpiod_request_ro" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xb60d83bc, "mmc_regulator_set_ocr" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xaf8efa2f, "pinctrl_pm_select_default_state" },
	{ 0x9903a73, "mmc_add_host" },
	{ 0x80c569fb, "mmc_alloc_host" },
	{ 0xa6b231aa, "of_get_property" },
	{ 0x7ed23c6, "devm_clk_get" },
	{ 0xdb9ca3c5, "_raw_spin_lock" },
	{ 0x1f665233, "__dynamic_dev_dbg" },
	{ 0x5f849a69, "_raw_spin_lock_irqsave" },
	{ 0x6ce46191, "mmc_regulator_get_supply" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xe32b3cc9, "mmc_remove_host" },
	{ 0x822137e2, "arm_heavy_mb" },
	{ 0xecf8a3b4, "__raw_writesl" },
	{ 0xff693e63, "dma_release_channel" },
	{ 0x23c1e2e, "dma_direct_map_sg" },
	{ 0x9d669763, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x816645a2, "of_parse_phandle_with_args" },
	{ 0xff24129d, "pm_runtime_set_autosuspend_delay" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x6d5de9e4, "dmam_alloc_attrs" },
	{ 0x1839b43f, "of_property_match_string" },
	{ 0x6a2e7644, "amba_driver_unregister" },
	{ 0x23456f89, "mmc_gpiod_request_cd" },
	{ 0xa04a24ed, "devm_kmalloc" },
	{ 0x344d9739, "param_ops_uint" },
	{ 0x94318f27, "devm_request_threaded_irq" },
	{ 0xd81ee383, "mmc_request_done" },
	{ 0x839da37a, "regulator_enable" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mmc_core";

MODULE_ALIAS("amba:d00?41180");
MODULE_ALIAS("amba:d01?41180");
MODULE_ALIAS("amba:d02?41180");
MODULE_ALIAS("amba:d???41181");
MODULE_ALIAS("amba:d??180180");
MODULE_ALIAS("amba:d1?180180");
MODULE_ALIAS("amba:d??280180");
MODULE_ALIAS("amba:d0?480180");
MODULE_ALIAS("amba:d1?480180");
MODULE_ALIAS("amba:d??880180");
MODULE_ALIAS("amba:d1?153180");
MODULE_ALIAS("amba:d???51180");

MODULE_INFO(srcversion, "3D544FA5AFC874EF5C01C50");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
