#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x298cd8da, "module_layout" },
	{ 0x549726e6, "sdhci_cqe_disable" },
	{ 0xf5c3b6ad, "platform_driver_unregister" },
	{ 0xf60178ca, "__platform_driver_register" },
	{ 0x1ea21aa, "mmc_gpiod_request_ro" },
	{ 0x23456f89, "mmc_gpiod_request_cd" },
	{ 0xe4e04e6e, "mmc_gpio_get_cd" },
	{ 0x5d0dfa4a, "pm_runtime_enable" },
	{ 0xed049969, "__pm_runtime_use_autosuspend" },
	{ 0xff24129d, "pm_runtime_set_autosuspend_delay" },
	{ 0x1cfc3851, "__pm_runtime_set_status" },
	{ 0x6fd083a8, "sdhci_add_host" },
	{ 0xd6db05f5, "cqhci_init" },
	{ 0xa04a24ed, "devm_kmalloc" },
	{ 0xea69b366, "mmc_of_parse" },
	{ 0x9b4708d0, "mmc_of_parse_voltage" },
	{ 0xcea4be36, "of_property_read_variable_u32_array" },
	{ 0x657419b, "of_find_property" },
	{ 0xa6b231aa, "of_get_property" },
	{ 0xd9ee3f9d, "pinctrl_lookup_state" },
	{ 0x24cf7172, "devm_pinctrl_get" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x7ed23c6, "devm_clk_get" },
	{ 0xb43a1e2, "sdhci_pltfm_init" },
	{ 0xdacb4829, "of_match_device" },
	{ 0xec913780, "mmc_gpio_get_ro" },
	{ 0xb10f6e08, "sdhci_resume_host" },
	{ 0x15fc0c37, "sdhci_execute_tuning" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x2775a78f, "cqhci_irq" },
	{ 0xcb2d68e6, "sdhci_cqe_irq" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x74fb7b35, "sdhci_reset" },
	{ 0xabea0be0, "pinctrl_select_state" },
	{ 0x82bd6e9a, "mmc_send_tuning" },
	{ 0x21b70a93, "sdhci_dumpregs" },
	{ 0xb055186d, "_dev_err" },
	{ 0x3ab7b724, "sdhci_cqe_enable" },
	{ 0x710dd0e5, "_dev_warn" },
	{ 0xd30b9167, "sdhci_pltfm_free" },
	{ 0x7cc83de3, "sdhci_remove_host" },
	{ 0x9fe88741, "__pm_runtime_disable" },
	{ 0x7b15ffb9, "__pm_runtime_resume" },
	{ 0x2c1b1164, "sdhci_suspend_host" },
	{ 0x82ee5b74, "sdhci_runtime_suspend_host" },
	{ 0xda180ace, "cqhci_suspend" },
	{ 0xaba1dafe, "cqhci_resume" },
	{ 0x128f36c6, "sdhci_runtime_resume_host" },
	{ 0x8570f468, "pm_qos_add_request" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0x4df391d4, "pm_qos_remove_request" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x1f665233, "__dynamic_dev_dbg" },
	{ 0x8e865d3c, "arm_delay_ops" },
	{ 0x822137e2, "arm_heavy_mb" },
	{ 0xe707d823, "__aeabi_uidiv" },
	{ 0xb1ad28e0, "__gnu_mcount_nc" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=sdhci,mmc_core,cqhci,sdhci-pltfm";

MODULE_ALIAS("of:N*T*Cfsl,imx25-esdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx25-esdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx35-esdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx35-esdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx51-esdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx51-esdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx53-esdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx53-esdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6sx-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx6sx-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6sl-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx6sl-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6q-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx6q-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6ull-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx6ull-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx7d-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx7d-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx7ulp-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx7ulp-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx8qxp-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx8qxp-usdhcC*");
MODULE_ALIAS("platform:sdhci-esdhc-imx25");
MODULE_ALIAS("platform:sdhci-esdhc-imx35");
MODULE_ALIAS("platform:sdhci-esdhc-imx51");

MODULE_INFO(srcversion, "875D75882C0C7BC1C90F1BA");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
