#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x298cd8da, "module_layout" },
	{ 0xef8f24fb, "param_ops_int" },
	{ 0x3ea7e7f6, "v4l2_event_unsubscribe" },
	{ 0x42f3eb28, "v4l2_ctrl_subscribe_event" },
	{ 0xafb46d4, "v4l2_ctrl_log_status" },
	{ 0x7a0903c, "video_ioctl2" },
	{ 0xc91ce0fe, "usb_deregister" },
	{ 0x4f130d5c, "usb_register_driver" },
	{ 0xaec381d7, "videobuf_read_one" },
	{ 0xad3beaf6, "videobuf_streamon" },
	{ 0xd300d495, "videobuf_queue_is_busy" },
	{ 0x94a330e5, "v4l2_fh_release" },
	{ 0xd5414c29, "usb_control_msg" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xf08217c6, "videobuf_iolock" },
	{ 0x2409c9c9, "videobuf_vmalloc_free" },
	{ 0xf700fea8, "videobuf_mmap_mapper" },
	{ 0x806704a7, "__video_register_device" },
	{ 0xfd1e182c, "videobuf_queue_vmalloc_init" },
	{ 0xcf4df631, "v4l2_ctrl_handler_setup" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xa916aaa7, "video_device_release_empty" },
	{ 0x5f754e5a, "memset" },
	{ 0xe346f67a, "__mutex_init" },
	{ 0xe5fd1559, "v4l2_ctrl_new_std" },
	{ 0x24334ba0, "v4l2_ctrl_handler_init_class" },
	{ 0x528ece1f, "v4l2_device_register" },
	{ 0x9edf9921, "kmem_cache_alloc_trace" },
	{ 0x627fa9e9, "kmalloc_caches" },
	{ 0x37a0cba, "kfree" },
	{ 0xa65e6eeb, "v4l2_ctrl_handler_free" },
	{ 0x999e8297, "vfree" },
	{ 0x67c0179d, "videobuf_mmap_free" },
	{ 0xdf79fd00, "v4l2_device_unregister" },
	{ 0xf7c94d87, "videobuf_poll_stream" },
	{ 0xd1d78e19, "v4l2_ctrl_poll" },
	{ 0x8e865d3c, "arm_delay_ops" },
	{ 0xdd8ba45e, "v4l2_fh_open" },
	{ 0x3375510b, "mutex_lock_interruptible" },
	{ 0xf916238a, "videobuf_reqbufs" },
	{ 0x23ce13cd, "videobuf_querybuf" },
	{ 0xccd30e75, "videobuf_qbuf" },
	{ 0xb39ed7e8, "videobuf_dqbuf" },
	{ 0x85d3a2ea, "videobuf_streamoff" },
	{ 0x745f7ac7, "video_devdata" },
	{ 0xeea0399, "strscpy" },
	{ 0x225910c, "v4l2_device_put" },
	{ 0x67ea780, "mutex_unlock" },
	{ 0x32162061, "v4l2_device_disconnect" },
	{ 0x6625a79f, "video_unregister_device" },
	{ 0xc271c3be, "mutex_lock" },
	{ 0x8285f35f, "usb_free_urb" },
	{ 0x801b6250, "usb_kill_urb" },
	{ 0xb1391e5, "_dev_info" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x39a12ca7, "_raw_spin_unlock_irqrestore" },
	{ 0x3dcf1ffa, "__wake_up" },
	{ 0x875b6977, "videobuf_to_vmalloc" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5f849a69, "_raw_spin_lock_irqsave" },
	{ 0x9d669763, "memcpy" },
	{ 0xb055186d, "_dev_err" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x8c57894b, "usb_submit_urb" },
	{ 0xa0629ecf, "usb_alloc_urb" },
	{ 0xc5850110, "printk" },
	{ 0xb1ad28e0, "__gnu_mcount_nc" },
	{ 0xe707d823, "__aeabi_uidiv" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videodev,usbcore,videobuf-core,videobuf-vmalloc";

MODULE_ALIAS("usb:v08CAp0109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep4024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p0108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0546p3187d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p3108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0595p4343d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BB0p500Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FEBp2004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v055FpB500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v052Bp1A18d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04C8p0729d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04F2pA208d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0784p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p0062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p004Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep405Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Dd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "880153A8E3BA211D7B95EAF");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
