#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x298cd8da, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x578b8bb1, "pci_bus_type" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb8ef4179, "usb_add_hcd" },
	{ 0x9fe88741, "__pm_runtime_disable" },
	{ 0xcb88492e, "of_device_get_match_data" },
	{ 0xa03c1c2c, "usb_remove_hcd" },
	{ 0x475fd000, "dma_set_mask" },
	{ 0xdb01bad3, "__usb_create_hcd" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x7da0f641, "devm_ioremap_resource" },
	{ 0xb1ad28e0, "__gnu_mcount_nc" },
	{ 0x7b15ffb9, "__pm_runtime_resume" },
	{ 0xefaace6e, "mv_mbus_dram_info" },
	{ 0xebf4d287, "pm_runtime_forbid" },
	{ 0x42714bb9, "devm_clk_get_optional" },
	{ 0x6f9e7001, "dma_set_coherent_mask" },
	{ 0xf60178ca, "__platform_driver_register" },
	{ 0xfcf0f8e, "usb_put_hcd" },
	{ 0xb9c14436, "xhci_init_driver" },
	{ 0xdb50156b, "usb_hcd_is_primary_hcd" },
	{ 0x25cba6f7, "xhci_run" },
	{ 0xa5eb70a, "xhci_resume" },
	{ 0xe97c4103, "ioremap" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0xe70629f, "platform_get_resource" },
	{ 0x15eb785f, "device_wakeup_enable" },
	{ 0xef09a4e8, "device_property_read_u32_array" },
	{ 0x5d0dfa4a, "pm_runtime_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x1cfc3851, "__pm_runtime_set_status" },
	{ 0x822137e2, "arm_heavy_mb" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x892bfe1a, "devm_usb_get_phy_by_phandle" },
	{ 0xc0390a57, "of_usb_host_tpl_support" },
	{ 0xedc03953, "iounmap" },
	{ 0x91905ab7, "xhci_gen_setup" },
	{ 0xfce8d649, "platform_get_irq" },
	{ 0xf5c3b6ad, "platform_driver_unregister" },
	{ 0xd2692b9d, "xhci_suspend" },
	{ 0xc0fa5f40, "of_fwnode_ops" },
	{ 0x226ead7c, "usb_hcd_platform_shutdown" },
	{ 0xe64af271, "device_property_present" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,xhci-hcd";

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7790");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7790C*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7791");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7791C*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7793");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7793C*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7795");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7795C*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7796");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7796C*");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen2-xhci");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen2-xhciC*");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen3-xhci");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen3-xhciC*");

MODULE_INFO(srcversion, "82EAACFC60F87E08F315B4C");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
